Problème synaptic se bloc

Résolu/Fermé
Adi - 16 juin 2009 à 19:49
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 - 19 sept. 2009 à 19:43
Bonjour,
Salut à tous
J'ai instaler ubuntu sur mon pc et depuis quelques temps j'ai des probleme avec synaptic après une mise à jour. J'ai rechercher sur les forum mais les différentes solutions ne conviennent pas à mon cas.
Quand je lance synaptic ou Ajouter/Suppremer à un moment donné ça affiche "une erreur est survenue" et on a le message suivant:
E: Vous avez dépassé le nombre de descriptions que cette version d'APT est capable de traiter.
E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_hardy-proposed_main_i18n_Translation-fr
E: Impossible d'ouvrir ou d'analyser le fichier contenant la liste des états ou celui des paquets disponibles.
E: _cache->open() failed, please report.

SVP quelqu'un peut il m'ader. Je ne connais rien en ligne de commande.
Adriel
A voir également:

9 réponses

mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
16 juin 2009 à 21:05
Ouvre un terminal et tape dedans :
sudo aptitude update
sudo aptitude safe-upgrade
Vérifie aussi qu'il te reste de l'espace sur ton disque dur :
df -h

Bonne chance
2
Salut Mamiemando

Merci pour ta reaction, voici les resultats après l'exécution des commandes:

sudo aptitude update

Err http://archive.ubuntu.com hardy Release.gpg

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy/main Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy/universe Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy/restricted Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy/multiverse Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-updates Release.gpg

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-updates/universe Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://fr.packages.medibuntu.org hardy Release.gpg

Ne parvient pas à résoudre « fr.packages.medibuntu.org »

Err http://fr.packages.medibuntu.org hardy/free Translation-fr

Ne parvient pas à résoudre « fr.packages.medibuntu.org »

Err http://fr.packages.medibuntu.org hardy/non-free Translation-fr

Ne parvient pas à résoudre « fr.packages.medibuntu.org »

Err http://arepo.asher256.com/ ubuntu Release.gpg

Ne parvient pas à résoudre « asher256-repository.tuxfamily.org »

Err http://arepo.asher256.com/ ubuntu/main Translation-fr

Ne parvient pas à résoudre « asher256-repository.tuxfamily.org »

Err http://arepo.asher256.com/ ubuntu/dupdate Translation-fr

Ne parvient pas à résoudre « asher256-repository.tuxfamily.org »

Err http://arepo.asher256.com/ ubuntu/french Translation-fr

Ne parvient pas à résoudre « asher256-repository.tuxfamily.org »

Err http://bf.archive.ubuntu.com gutsy Release.gpg

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy/main Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy/restricted Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy/universe Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy/multiverse Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-updates Release.gpg

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-updates/main Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-updates/restricted Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-updates/universe Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-updates/multiverse Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-backports Release.gpg

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-backports/main Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-backports/restricted Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-backports/universe Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://bf.archive.ubuntu.com gutsy-backports/multiverse Translation-fr

Ne parvient pas à résoudre « bf.archive.ubuntu.com »

Err http://archive.canonical.com gutsy Release.gpg

Ne parvient pas à résoudre « archive.canonical.com »

Err http://archive.canonical.com gutsy/partner Translation-fr

Ne parvient pas à résoudre « archive.canonical.com »

Err https://ubuntu.com/security/notices gutsy-security Release.gpg

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices gutsy-security/main Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices gutsy-security/restricted Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices gutsy-security/universe Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices gutsy-security/multiverse Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices hardy-security Release.gpg

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices hardy-security/universe Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices hardy-security/main Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices hardy-security/multiverse Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err https://ubuntu.com/security/notices hardy-security/restricted Translation-fr

Ne parvient pas à résoudre « security.ubuntu.com »

Err http://archive.ubuntu.com hardy-updates/main Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-updates/multiverse Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-updates/restricted Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-proposed Release.gpg

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-proposed/universe Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-proposed/main Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-proposed/multiverse Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Err http://archive.ubuntu.com hardy-proposed/restricted Translation-fr

Ne parvient pas à résoudre « archive.ubuntu.com »

Lecture des listes de paquets... Erreur !

E: Vous avez dépassé le nombre de descriptions que cette version d'APT est capable de traiter.

E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_hardy-proposed_main_i18n_Translation-fr

E: Les listes de paquets ou le fichier « status » ne peuvent être analysés ou lus.

E: Impossible de reconstruire le cache des paquets


sudo aptitude safe-upgrade
Lecture des listes de paquets... Erreur !

E: Vous avez dépassé le nombre de descriptions que cette version d'APT est capable de traiter.

E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_hardy-proposed_main_i18n_Translation-fr

E: Les listes de paquets ou le fichier d'état ne peuvent pas être ouverts, ou sont incompréhensibles.

Lecture des listes de paquets... Erreur !

E: Vous avez dépassé le nombre de descriptions que cette version d'APT est capable de traiter.

E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_hardy-proposed_main_i18n_Translation-fr

E: Les listes de paquets ou le fichier d'état ne peuvent pas être ouverts, ou sont incompréhensibles.


J'ai aussi verifié mon disque dur et fait un peu de nettoyage:
Sur la partition contenant linux et ses logiciels j'ai 3 gio d'espace libbre
Sur la partition Documents où je mets toutes mes données je n'avais que 1 gio de libre mais après le menage j'ai maintenant 6,4 gio.

Que dois je faire maintenant: suprimer les fichiers incriminés ?

Merci d'avance
Adi
0
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
18 juin 2009 à 01:03
Il faut comme il te dit créer le répertoire qui manque :
sudo mkdir -p /var/lib/apt/lists/partial

J'ai vérifié c'est le seul à créer. Ensuite histoire d'être sûr que tout est à plat, refais :
sudo aptitude update
sudo aptitude safe-upgrade

Je pense qu'ensuite ça devrait marcher.

Bonne chance
2
Salut Mamiemando
C'est magique
Tu m'as sauver la vie.
J'ai suivi tes instructions et ça marche.
Maintenant synaptic fonctionne correctement et mon système a été mise à jour.

Infiniment merci

Vive le site Commentcamarhe.

Adriel
0
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
17 juin 2009 à 14:07
Il y a plusieurs problèmes. D'une part ta connexion réseau ne marche pas. Elle est nécessaire au bon fonctionnement d'aptitude puisque tu utilises des dépôts distants.

D'autre part ton apt semble un peu perturbé. Il va falloir faire du ménage. N'ayant jamais été confronté à ce problème je t'invite à t'inspirer de ça :
https://forum.debian-fr.org/viewtopic.php?f=3&t=20881&view=next

On va toutefois être un peu moins violent et au lieu de virer les fichiers list à coup de rm, les backuper dans /var/lib/apt/lists.old
sudo mv /var/lib/apt/lists/ /var/lib/apt/lists.old
sudo mkdir -p /var/lib/apt/lists/

Il faudrait que tu vérifies aussi ton fichier /etc/apt/sources.list
http://doc.ubuntu-fr.org/depots_hardy#depots_officiels

Pour corriger ce fichier :
sudo nano /etc/apt/sources.list

A priori je verrais bien un truc dans ce genre :
deb http://fr.archive.ubuntu.com/ubuntu/ hardy main restricted
deb http://security.ubuntu.com/ubuntu/ hardy-security main restricted
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-updates main restricted

deb http://fr.archive.ubuntu.com/ubuntu/ hardy universe multiverse
deb http://security.ubuntu.com/ubuntu/ hardy-security universe multiverse
deb http://fr.archive.ubuntu.com/ubuntu/ hardy-updates universe multiverse

deb https://medibuntu.org hardy free non-free

Sauve et quitte (ctrl x). Une fois le réseau fonctionnel tape les commandes :
wget -q https://medibuntu.org -O- | sudo apt-key add -
sudo aptitude update
sudo aptitude safe-upgrade

Bonne chance
1
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
19 juin 2009 à 00:48
Merci pour ces compliments et heureuse d'avoir pu t'aider ! Mais ça n'a rien de magique tu sais, je n'ai fait que lire les messages d'erreur, essayer de les comprendre et chercher sur google :-)

En tout cas, bonne continuation, je te souhaite de te plaire sous linux.
1

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
Ok mamiemando,
j'ai suivi tes instructions et voila ce que ça a donné.

sudo mv /var/lib/apt/lists/ /var/lib/apt/lists.old
mv: ne peut évaluer `/var/lib/apt/lists/': Aucun fichier ou dossier de ce type
adriel@Adriel-Best:~$ sudo mkdir -p /var/lib/apt/lists/
adriel@Adriel-Best:~$ sudo nano /etc/apt/sources.list
adriel@Adriel-Best:~$ wget -q https://medibuntu.org -O-
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.6 (GNU/Linux)

mQGiBEVmMkERBACje575/Xw5hwzqCcdaf4LgQdPLpTbZLNaVdcGd+D0nskBlQ8VA
tuJngq184aeFjD/XmlosfvidFgSc6w4/LRP/XUtyYcWIUk65tStPK0fggdDIVjC/
SsOY5V+a02+ypSZjxPOQSqG4Lxhs240S6O6tS3CKr/08s6lgD0UEa2Ay6wCgnyEF
zOBXTCwSDXtPUFYXS6pCUDED/3wED5EksgizUCLmz5MNSsKTFUZyxkA65vIs2IoP
RtiWG28TWiOU3N5hrVxQI531sTTOZE97KhHAfSfQajRlQ/1O69RNvRR4pNd3/WKD
OEMlmP6Ow0DV0CPCfOeKiIKvdCY4+278b7LcLXNIwQlG3bBzV/9i5hGTo8nZf8qj
pSxkA/0UIrBUWKhTpx3/VNq9oSFpXBbiB5/6CDGIl0pSptAuKE3I1Xii0dOXyuvS
uqtmWgDBz/12MEqzBt+V+FGvv+oCvO7M2f3nsnFrdbn66Gnsto3xs+6X+9M+vOXz
GH5l7Mbo+M4z84lAZdcKeHC1Mm7b52K5Vj15/CUXr/wFuwVSubQqVGhlIE1lZGli
dW50dSBUZWFtIDxtZWRpYnVudHVAc29zLXN0cy5jb20+iGAEExECACAFAkVmMkEC
GwMGCwkIBwMCBBUCCAMEFgIDAQIeAQIXgAAKCRAuvCa2DFongyA5AJ4mvwewcofo
IhNac2AlnYXx1H+XkwCcDPw7UrWC3D1A9f3cTk2RjXq0cGO0NE1lZGlidW50dSBQ
YWNrYWdpbmcgVGVhbSA8YWRtaW5AbGlzdHMubWVkaWJ1bnR1Lm9yZz6IYwQTEQIA
IwIbAwYLCQgHAwIEFQIIAwQWAgMBAh4BAheABQJGatyaAhkBAAoJEC68JrYMWieD
Y9IAn0PXSm7Lgvg/++gAW5eUv0ToBdxxAKCX0pnlHR/7PwxVoh0ueIE98YHENLkC
DQRFZjJfEAgA1iWJ0rqXioomH+GllyzQFDek396dsKxQYi08X+/sYY4ZJ1KE0PEH
8JwZi+dKM0ZpA+/7sXetVYlq8rqRyu/yf4DZdWCMjsB5krXGOgCv51prb8Qo+vMG
SWQ+oHleblS5zkAuAUY487bljSvcdrtg5ITX3UGFgZnMLDO4cfmz8KHwpRlmxKy9
tcGqnuK7f9i/A4VYGRJco/XL0vqyzhJpBiT0jYIjkz2JwExnw6K7hyvyShK7vOsA
z5g8IKLibVpJFyO4gRkcjz9B+DNJxeysy7TVR5yDZIP8VcPe7hdJmdltBnC2Q9Db
sUmI8oVWooZZQPTAX+/XyrXMSj0HEzAIRwADBQf/cfDOSifYN7ZYqk5ZLnFN/AZc
72eVjJD0xA7fKrkZ6glXNqXfjr7MxfmqEymsfNr09RANtSGdBLeAFxeE1Sldsq6p
E58HxWp82RI8XgeCjzVlDOVzT63ck+U2Dh0M7SvIiOP0OUTxgxpujeRLInnFLd9m
NwfFufMlC3NI/VomN8NdIqU7LDuM9xApQ+nTnCOMy8pwqr8mIfc5UUKWAxxguvFn
qY9AiQpGNHhpUebzRehxbEOBL7NEDF94SXI+NGOxz66Uq52UOZES3bBEoLv2s2hq
36boErWbmOmTd1OtxwwjMbqBRCVdIc9QoeNZyZ465e00wx2FZb94LmBCLyxqkYhJ
BBgRAgAJBQJFZjJfAhsMAAoJEC68JrYMWieDhlsAoIFA0h9GaVOgVLQFFw1c4K1W
RGgpAJ43cEsGcAqOxNYcJmo1QWX7jG6EMQ==
=a7Z5
-----END PGP PUBLIC KEY BLOCK-----
adriel@Adriel-Best:~$ sudo apt-key add
gpg: impossible d'ouvrir `': Aucun fichier ou dossier de ce type
adriel@Adriel-Best:~$ sudo aptitude update
E: Le répertoire /var/lib/apt/lists/partial pour les listes n'existe pas.
adriel@Adriel-Best:~$ sudo aptitude safe-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Construction de la base de données des étiquettes... Fait
Les paquets suivants ne sont pas utilisés et vont être ENLEVÉS :
beagle guile-1.8 guile-1.8-dev kde-icons-oxygen kde4libs-bin
kdebase-runtime kdebase-runtime-bin-kde4 kdebase-runtime-data
kdebase-runtime-data-common kdebase-workspace-bin kdebase-workspace-data
kdelibs5 kdelibs5-data kdm-kde4 ksysguard-kde4 ksysguardd-kde4
libavahi1.0-cil libclucene0ldbl libgalago1.0-cil libgalago3
libgd2-xpm-dev libggz2 libggzcore9 libggzmod4 libgmp3-dev libgmpxx4ldbl
libgsf0.0-cil libjpeg62-dev libltdl3-dev libmagick++10 libncurses5-dev
libphonon4 libplasma1 libqimageblitz4 libraptor1 librasqal0 librdf0
libreadline5-dev libsoprano4 libstreamanalyzer0 libstreams0
libstrigiqtdbusclient0 libtaglib2.0-cil libwv-1.2-3 libxpm-dev
linux-headers-2.6.24-16 linux-headers-2.6.24-16-generic pcb pcb-common
pcb-gtk thunderbird-locale-en-gb
0 paquets mis à jour, 0 nouvellement installés, 51 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 252Mo seront libérés.

Que dois je faire maintenant.

Merci d'avance
0
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
17 juin 2009 à 16:37
On es presque au bout, sauf que tu as fait une mini fausse manip (dûe à la mise en forme du forum). Il faut taper sur la même ligne :
wget -q https://medibuntu.org -O- | sudo apt-key add -

Ensuite refais les aptitudes. Normalement après ça ...
0 paquets mis à jour, 0 nouvellement installés, 51 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 252Mo seront libérés. 
... il te demande si tu es d'accord ou pas, tu dis oui (en appuyant sur "entrée", ou peut-être "y" "entrée" ou encore "o" "entrée"). Et normalement tout devrait marcher.

Bonne chance
0
Merci grâce à toi la solution est entrain d'être trovée j'ai suivi les instructions et voila ce que ça donne:

0 paquets mis à jour, 0 nouvellement installés, 51 à enlever et 0 non mis à jour.
Il est nécessaire de télécharger 0o d'archives. Après dépaquetage, 252Mo seront libérés.
Voulez-vous continuer ? [Y/n/?] y
E: Le répertoire /var/lib/apt/lists/partial pour les listes n'existe pas.

J'ai relancé synaptic et ça fonctionne par contre, quand je recherche des paquets comme lamp par exemple il ne trouve rien et quand je recharge pour mettre à jour les depots il me donne:

Les index des dépôts n'ont pas tous été téléchargés.

Le dépôt n'est peut-être plus disponible ou il est impossible de le trouver suite à des problèmes de réseau. Une ancienne version de l'index sera utilisée si elle est disponible. Autrement, le dépôt sera ignoré. Vérifiez que votre connexion réseau est active et assurez-vous que l'adresse inscrite dans les préférences est valide pour ce dépôt.
Le répertoire /var/lib/apt/lists/partial pour les listes n'existe pas.

Comment dois je proceder pour la suite.
0
Salut
En mettant en appliquant le cour de mateo sur php j'ai installé lamp sur mon ubuntu grace au site de ubuntu.

Tout fonctionnait bien,j'utilisait sans problème lamp.

Depuis 2 mois environ je n'ai plus travailler avec, donc je n'ouvrait plus localhost sur le navigateur. Je travaillait penadant ce temps sur d'autres logiciels.

Aujourd'hui j'essai de me remettre sur le php et finir mon apprentissage et à ma grande surprise localhost ne s'ouvre plus.

Que dois je faire ?

Merci d'avance pour vos reactions.

Adriel
0
mamiemando Messages postés 33146 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 11 juin 2024 7 757
19 sept. 2009 à 19:43
Pose ton problème dans un nouveau fil de discussion, le problème est différent et celui-ci est résolu.
0